<?php

namespace App\Modules\HtlTypeRoomBed\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateHtlTypeRoomBedQuery implements Query
{
    public function __construct(
        private int $id,
        private int $status,
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }

    public function status(): int
    {
        return $this->status;
    }
}
